﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TapfloDB
{
    public partial class Second : Form
    {
        private View.AbstractView view;
        private ToolStripDropDownItem menuitem;

        public Second(View.AbstractView view, ToolStripDropDownItem menuitem){
            InitializeComponent();
            view.Padding = new Padding(5);
            Controls.Add(view);
            Text = view.Text;

            this.view = view;
            this.menuitem = menuitem;
        }

        private void Second_FormClosed(object sender, FormClosedEventArgs e){
            if (view != null)
                Controls.Remove(view);
            if (menuitem != null)
                menuitem.Image = null;
        }
    }
}
