﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TapfloDB.View
{
    public class Item
    {
        public string Name { get; private set; }
        public string Tag { get; private set; }

        private static List<Item> _list = new List<Item>();
        public static List<Item> GetViews(){
            if(_list.Count > 0)
                return _list;

            _list.Add(new Item("Wszystkie", "#Full"));
            _list.Add(new Item("Test Database", "TDB"));
            _list.Add(new Item("Dane Produkcyjne", "ProductionData"));
            //_list.Add(new Item("Rework", "Rework"));

            return _list;
        }

        public Item(string name, string tag) {
            Name = name;
            Tag = tag;
        }

        public override string ToString(){
            return Name;
        }
    }
}
