﻿ALTER TABLE tdb."TestDatabase"
  RENAME CONSTRAINT "TestDatabase_pkey" TO "TestDatabase_back_pkey";
ALTER TABLE tdb."TestDatabase"
  RENAME TO "TestDatabase_back";

CREATE TABLE tdb."TestDatabase" (
	sn integer,
	nr smallint,
	product varchar(100),
	orderid integer,
	uid integer,
	date timestamp,
	vals integer[],
	comments text[],
	result integer,
	state integer,
	comment text,
	PRIMARY KEY(sn, nr)
);
GRANT ALL ON TABLE tdb."TestDatabase" TO tapflo;
GRANT ALL ON TABLE tdb."TestDatabase" TO tapflouser;

INSERT INTO tdb."TestDatabase"
SELECT sn, nr, product, orderid, uid, NULL as date, vals, results as comments, case state & 2 when 0 then -1 else 0 end as result, state, comment FROM tdb."TestDatabase_back";
